NSX-T Data Center REST API

Get BGP neighbor status for the route controller

Returns the status of all the BGP neighbors for the given route controller.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/route-controllers/{route-controller-id}/bgp/neighbors/status
Request Headers:
n/a
Query Parameters:
RouteControllerL2L3RuntimeRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/route-controllers/RC-1/bgp/neighbors/status

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
RouteControllerBgpNeighborsStatusListResult+

Example Response:

{ "route_controller_path": "/infra/route-controllers/RC-1", "results": [ { "virtual_network_appliance_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1/virtual-network-appliances/vna_1", "route_controller_path": "/infra/route-controllers/RC-1", "source_address": "40.40.40.101", "local_port": 0, "neighbor_address": "40.40.40.11", "remote_port": 0, "remote_as_number": "522", "connection_state": "IDLE", "messages_received": 0, "messages_sent": 0, "time_since_established": 0, "total_in_prefix_count": 0, "total_out_prefix_count": 0, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 0, "out_prefix_count": 0 }, { "type": "L2VPN_EVPN", "in_prefix_count": 0, "out_prefix_count": 0 } ], "connection_drop_count": 0, "established_connection_count": 0, "hold_time": 180, "keep_alive_interval": 60, "graceful_restart_mode": "HELPER_ONLY", "announced_capabilities": [], "negotiated_capability": [], "neighbor_router_id": "0.0.0.0", "type": "USER", "last_update_timestamp": 1763594187816 }, { "virtual_network_appliance_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1/virtual-network-appliances/vna_1", "route_controller_path": "/infra/route-controllers/RC-1", "source_address": "40.40.40.101", "local_port": 0, "neighbor_address": "40.40.40.10", "remote_port": 0, "remote_as_number": "521", "connection_state": "IDLE", "messages_received": 0, "messages_sent": 0, "time_since_established": 0, "total_in_prefix_count": 0, "total_out_prefix_count": 0, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 0, "out_prefix_count": 0 }, { "type": "L2VPN_EVPN", "in_prefix_count": 0, "out_prefix_count": 0 } ], "connection_drop_count": 0, "established_connection_count": 0, "hold_time": 180, "keep_alive_interval": 60, "graceful_restart_mode": "HELPER_ONLY", "announced_capabilities": [], "negotiated_capability": [], "neighbor_router_id": "0.0.0.0", "type": "USER", "last_update_timestamp": 1763594187816 }, { "virtual_network_appliance_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1/virtual-network-appliances/vna_2", "route_controller_path": "/infra/route-controllers/RC-1", "source_address": "40.40.40.101", "local_port": 63590, "neighbor_address": "40.40.40.11", "remote_port": 179, "remote_as_number": "522", "connection_state": "ESTABLISHED", "messages_received": 1157, "messages_sent": 1156, "time_since_established": 68988, "total_in_prefix_count": 1, "total_out_prefix_count": 2, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 0, "out_prefix_count": 0 }, { "type": "L2VPN_EVPN", "in_prefix_count": 1, "out_prefix_count": 2 } ], "connection_drop_count": 0, "established_connection_count": 1, "hold_time": 180, "keep_alive_interval": 60, "graceful_restart_mode": "HELPER_ONLY", "announced_capabilities": [ "addPath L2VPN EVPN Rx", "IPv4 Unicast", "L2VPN EVPN", "hostName advHostName", "addPath IPv4 Unicast Rx", "routeRefresh", "4byteAs" ], "negotiated_capability": [ "addPath L2VPN EVPN Rx", "L2VPN EVPN", "hostName rcvHostName", "routeRefresh", "4byteAs" ], "neighbor_router_id": "192.168.100.41", "type": "USER", "last_update_timestamp": 1763594187816 }, { "virtual_network_appliance_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1/virtual-network-appliances/vna_2", "route_controller_path": "/infra/route-controllers/RC-1", "source_address": "40.40.40.101", "local_port": 64794, "neighbor_address": "40.40.40.10", "remote_port": 179, "remote_as_number": "521", "connection_state": "ESTABLISHED", "messages_received": 1158, "messages_sent": 1156, "time_since_established": 68988, "total_in_prefix_count": 2, "total_out_prefix_count": 2, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 0, "out_prefix_count": 0 }, { "type": "L2VPN_EVPN", "in_prefix_count": 2, "out_prefix_count": 2 } ], "connection_drop_count": 0, "established_connection_count": 1, "hold_time": 180, "keep_alive_interval": 60, "graceful_restart_mode": "HELPER_ONLY", "announced_capabilities": [ "addPath L2VPN EVPN Rx", "IPv4 Unicast", "L2VPN EVPN", "hostName advHostName", "addPath IPv4 Unicast Rx", "routeRefresh", "4byteAs" ], "negotiated_capability": [ "addPath L2VPN EVPN Rx", "L2VPN EVPN", "hostName rcvHostName", "routeRefresh", "4byteAs" ], "neighbor_router_id": "192.168.100.40", "type": "USER", "last_update_timestamp": 1763594187816 } ] }

Required Permissions:

read

Feature:

policy_route_controller

Additional Errors: